Subject: bug#7700: 24.0.50; C-y binding withing Isearch mode

From: Dani Moncayo <[email-masked]>
Date: Fri, 24 Dec 2010 12:39:37 +0100

On Fri, Dec 24, 2010 at 04:25, Lennart Borgman
<[email-masked]> wrote:
> On Fri, Dec 24, 2010 at 3:39 AM, Stefan Monnier
> <[email-masked]> wrote:
>>> I use C-y ("grab to next end of line") quite a bit.
>>
>> I'd much rather have a prefix key that lets me use any standard movement
>> to select the text to grab from the buffer (so "<prefix> C-e" would do
>> what C-y does and "<prefix> M-f" would do more or less what C-w does).
>
>
> I like the logic/mnemonic but wouldn't it would be cumbersome to use it?
>

Not much, provided that the <prefix> key was required only one time. I
think would be good to have that key as a switch to turn "grabbing
mode" on/off.

> I suggest instead that any standard forward movement command while in
> isearch forward mode should select the text to grab WITHOUT any prefix
> key. For backward movement I suggest a similar logic.
>

I prefer Stefan's proposal because with that there would be no need to
alter the current meaning of prefix arguments in movement commands,
and thus, you could use movement commands _even with prefix arguments_
to both (a) grab text from the buffer, and (b) leave Isearch mode and
move point (all in a single operation, as you can do currently).

I think it would be more consistent/intuitive/powerful.

-- 
Dani Moncayo